Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.collision
Class CircleShape

    java.lang.Object
      org.jbox2d.collision.Shape
          org.jbox2d.collision.CircleShape

    public class CircleShape

extends Shape

Field Summary
`Vec2` | `m_localPosition`
`float` | `m_radius`

Fields inherited from class org.jbox2d.collision.Shape
`m_body, m_categoryBits, m_density, m_friction, m_groupIndex, m_isSensor, m_maskBits, m_next, m_proxyId, m_restitution, m_sweepRadius, m_type, m_userData, uid`

Constructor Summary
`CircleShape(ShapeDef def)`

Method Summary
`void` | `computeAABB(AABB aabb, XForm transform)`
`void` | `computeMass(MassData massData)`
`void` | `computeSweptAABB(AABB aabb, XForm transform1, XForm transform2)`
`Vec2` | `getLocalPosition()`
`float` | `getRadius()`
`boolean` | `testPoint(XForm transform, Vec2 p)`
`void` | `updateSweepRadius(Vec2 center)`

Methods inherited from class org.jbox2d.collision.Shape
`create, createProxy, destroy, destroyProxy, destructor, getBody, getNext, getSweepRadius, getType, getUserData, isSensor, resetProxy, synchronize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_radius

    public float m_radius

### m_localPosition

    public Vec2 m_localPosition

Constructor Detail

### CircleShape

    public CircleShape(ShapeDef def)

Method Detail

### updateSweepRadius

    public void updateSweepRadius(Vec2 center)

  Specified by:
    `updateSweepRadius` in class `Shape`

### testPoint

    public boolean testPoint(XForm transform,
                             Vec2 p)

  Specified by:
    `testPoint` in class `Shape`

### computeAABB

    public void computeAABB(AABB aabb,
                            XForm transform)

  Specified by:
    `computeAABB` in class `Shape`

### computeSweptAABB

    public void computeSweptAABB(AABB aabb,
                                 XForm transform1,
                                 XForm transform2)

  Specified by:
    `computeSweptAABB` in class `Shape`

### computeMass

    public void computeMass(MassData massData)

  Specified by:
    `computeMass` in class `Shape`

### getRadius

    public float getRadius()

### getLocalPosition

    public Vec2 getLocalPosition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD